View Issue Details

IDProjectCategoryView StatusLast Update
0007408LazarusOtherpublic2011-12-01 11:22
ReporterGraeme GeldenhuysAssigned ToMichael Van Canneyt 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformi386OSUbuntu LinuxOS Version5.10
Product Version0.9.17 (SVN)Product Build9896 
Target Version0.9.30Fixed in Version0.9.29 (SVN) 
Summary0007408: lazde cannot document module node in xml files
DescriptionLooking at the snippet from one of my .xml files. With lazde, you cannot edit the module's short and long description (tiObject in this case). I had to manually edit the .xml file. Selecting the first (root) node in the module treeview in lazde, it shows 'No element selected' on the right hand side of lazde screen.

<?xml version="1.0"?>
<fpdoc-descriptions>
  <package name="tiOPF2Core">
    <!--
  ====================================================================
    tiObject
  ====================================================================
-->
    <module name="tiObject">
      <short>The base unit for tiOPF</short>
      <descr>Contains all the base classes used throughout the framework.</descr>
Steps To ReproduceSee description for details.
TagsNo tags attached.
Fixed in Revision
LazTarget0.9.30
WidgetsetGTK
Attached Files

Relationships

related to 0013581 closedMattias Gaertner FPDoc Editor cannot document a unit 

Activities

Michael Van Canneyt

2009-10-23 18:32

administrator   ~0031631

Fixed. Tricky one.

Issue History

Date Modified Username Field Change
2006-09-15 11:18 Graeme Geldenhuys New Issue
2006-09-15 11:18 Graeme Geldenhuys Widgetset => GTK
2006-09-24 10:52 Vincent Snijders Target => post 1.0
2006-09-24 10:52 Vincent Snijders Status new => acknowledged
2009-04-27 12:07 Vincent Snijders Relationship added related to 0013581
2009-08-23 09:39 Mattias Gaertner Status acknowledged => assigned
2009-08-23 09:39 Mattias Gaertner Assigned To => Michael Van Canneyt
2009-10-23 18:32 Michael Van Canneyt LazTarget post 1.0 => 0.9.30
2009-10-23 18:32 Michael Van Canneyt Status assigned => resolved
2009-10-23 18:32 Michael Van Canneyt Fixed in Version => 0.9.29 (SVN)
2009-10-23 18:32 Michael Van Canneyt Resolution open => fixed
2009-10-23 18:32 Michael Van Canneyt Note Added: 0031631
2009-10-23 18:32 Michael Van Canneyt Target Version => 0.9.30
2011-12-01 11:22 Marc Weustink Status resolved => closed